GIMP

De ClissXXI.

GIMP est le logiciel de retouche d'images du projet GNU.

Techniques d'utilisation

- Déplacement / Copie de calques : Pour effectuer cette action, ouvrir le fichier où l'on désire déplacer les calques avec GIMP. Chercher le ou les fichiers contenant le ou les calques grâce à l'explorateur de fichiers. Puis, glisser (en déplaçant) les fichiers concernés directement de l'explorateur à la fenêtre GIMP du fichier final. Tous les calques seront ainsi copiés dans le fichier ouvert.

Installation de la version 2.4

La version 2.4 est sortie avec plusieurs améliorations sympathiques.

Pour la compiler sous Etch:

aptitude install libxml-parser-perl libart-2.0-dev python2.4-dev
# optional: libaa1-dev (ASCII Art), gtkhtml (help browser), libpoppler(PDF format instead of using PostScript),
#  librsvg (SVG format), libwmf (Windows Meta File format), dbus ("D-Bus service" ?), libexif (EXIF additional
# information from digital cameras), gnome-ui v2 (?), gnome-keyring-1 (?), libasound (ALSA MIDI input)

echo "/usr/local/lib" > /etc/ld.so.conf.d/local.conf
ldconfig

# too old package: libgtk2.0-0
manually install gtk2 >= 2.10.13
wget ftp://ftp.gtk.org/pub/gtk/v2.10/gtk+-2.10.14.tar.bz2
# TODO: by installing it in a different prefix (/usr/local instead of /usr), this seem to change
#  parameters like the themes location.
# Somehow I think I also break SVG support somewhere.

# too old package: python-gtk2-dev
manually install pygtk >= 2.10.4
# requires: pygobject-2.0 >= 2.12.1
wget http://ftp.acc.umu.se/pub/GNOME/sources/pygobject/2.12/pygobject-2.12.3.tar.bz2
# require pycairo
aptitude install python-cairo-dev
wget http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.10/pygtk-2.10.6.tar.bz2

ldconfig
gimp

Installer Gtk a visiblement changer l'emplacement des thèmes Gnomes, donc les thèmes installés via Debian ne sont plus reconnus (il faut peut-être installer dans /usr) :/ Problème aussi avec les images SVG, il faut problablement activer le support SVG au moment de compiler Gtk.

Outils personnels